Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# packed_pixel.hpp File Reference

## Detailed Description

A model of a heterogeneous pixel whose channels are bit ranges. For example 16-bit RGB in '565' format.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2009
  Last updated on February 20, 2009

`#include <functional>`
`#include <boost/utility/enable_if.hpp>`
`#include <boost/mpl/bool.hpp>`
`#include <boost/mpl/front.hpp>`
`#include "gil_config.hpp"`
`#include "pixel.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil

## Classes

struct | packed_pixel
| Heterogeneous pixel value whose channel references can be constructed from the pixel bitfield and their index. Models ColorBaseValueConcept, PixelValueConcept, PixelBasedConcept Typical use for this is a model of a packed pixel (like 565 RGB). More...

## Functions

template<int K, typename P, typename C, typename L>
kth_element_reference_type < packed_pixel< P, C, L >, K > ::type | at_c (packed_pixel< P, C, L > &p)
template<int K, typename P, typename C, typename L>
kth_element_const_reference_type < packed_pixel< P, C, L >, K > ::type | at_c (const packed_pixel< P, C, L > &p)